:root {
  --main-background: #e7e7e7;
  --text-color: #222222;
  --inverse-text: #ffffff;
  --highlight: #0077ff;
  --inverse-highlight: #66bbff;
  --card-background: #ffffff;
}
body.dark {
     --main-background: #121212;     
     --text-color: #e4e4e4;          
     --inverse-text: #1a1a1a;        
     --highlight: #4da3ff;           
     --inverse-highlight: #1e4f99;  
     --card-background: #1e1e1e; 
}
*{
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
body {
    background-color: var(--main-background) ;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 1.5em;
    color: var(--text-color);
}
header{
    background-color: var(--highlight);
    color: var(--text);
    padding: 10px;
    display: flex;
    justify-content: end;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1;
    
}
 header nav ul {
    list-style: none;
    display: flex;
    gap: 10px;
}
 header nav a {
    text-decoration: none;
    color: var(--inverse-text);
    font-weight: 600; 
    padding: 4px 15px;
    border-radius: 5px;
    transition: background-color 0.5s, color 0.5s ;



}
nav a:hover{
    background-color: var(--inverse-highlight);
    color: var(--highlight);
}
main{
     display: grid;
     grid-template-columns: auto 90vw auto;
     gap: 20px;
     margin-top: 20px;
    
}
main #about-me {
    grid-column: 2;
}
main #detalhes {
    grid-column: 2;
}

section #perfil { 
    background-color: var(--card-background);
    grid-column: 2;
    padding: 20px;
    border-radius: 5px;
    margin-bottom: 30px;
}
section #perfil img {
    border-radius: 50%;
    width: 200px;
    border: 5px solid var(--card-background);
    outline: 5px solid var(--highlight);
    display: block;
    margin: auto;
    margin-top: 15px;
    margin-bottom: 15px;
    
}
section #perfil h1 {
    color: var(--highlight);
    margin-bottom: 20px;
}
section #perfil nav {
    margin-top: 20px;
    display: flex;
    justify-content: center;
    gap: 20px;
}

section #perfil nav a {
   color: var(--highlight);
   background-color: var(--card-background);
   align-items: center;
   font-size: 3em;
   text-decoration: none;
   transition: color 0.5s;
}
section #perfil nav a:hover {
    color: var(--inverse-highlight);
} 
nav #btn-theme {
    background-color: var(--highlight);
    border: 0px  ;
    color: var(--inverse-text);
    transition: color 0.5s;


}
section #apresentation {
    grid-column: 2;
    background-color: var(--card-background);
    border-radius: 5px;
    padding: 20px;
   
    
  
}
section #apresentation h2 {
    color: var(--highlight);
    margin-bottom: 20px;

}
section #apresentation iframe {
  max-width: 100%;
  width: 80vw;
  min-height: 300px;
  margin: auto;
  border-radius: 8px;
  aspect-ratio: 16/9;

}
main #skills {
    grid-column: 2;
    background-color: var(--card-background);
   padding: 10px;
   border-radius: 10px;
     
}
main #skills h2 {
    color: var(--highlight);
}
section #skills-container {
    display: grid;
    grid-column: 1fr;
    gap: 30px;
}
section #skills-container .name {
    font-weight: bolder;
}
section #skills-container .porcent{
    color: #0077ff;
    font-weight: bolder;
}
section #skills-container .bar {
    background-color: var(--main-background);
    width: 100%;
    height: 10px;
    border-radius: 5px;
    overflow: hidden;
    
}
section #skills-container .progress {
        background-color: var(--highlight);
        height: 100%;
       
}
section #skills-container .info {
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
    
}
main #education{
    grid-column: 2;
    background-color: var(--card-background); 
    padding: 10px;
    border-radius: 10px;

}
main #education h2 {
    color: var(--highlight);
    margin-bottom: 10px;
}
main #education .course {
  background-color: var(--main-background);
  border-left: 5px solid var(--inverse-highlight);
  border-radius: 10px;
  padding: 10px;
  transition: border-left 0.5s;
}
main #education .course:hover{
    border-left:20px solid var(--highlight) ;
}
 div .date {
    font-weight: bolder;
}
div .institution {
    font-weight: bolder;
    color: var(--highlight);
    font-size: larger;
}
main #projects {
    grid-column: 2;
    background-color: var(--card-background);
    padding: 20px;
    border-radius: 10px;
    margin-top: 20px;
}
main #projects h2 {
    color: var(--highlight);
    margin-bottom: 10px;
}

.proj-container {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.proj-itens {
    background-color: var(--main-background);
    padding: 15px;
    border-radius: 10px;
    border-left: 5px solid var(--inverse-highlight);
    transition: border-left 0.5s, transform 0.3s;
    
    
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.proj-itens:hover {
    border-left: 20px solid var(--highlight);
    transform: translateX(5px);
}

.proj-img img {
    width: 100%;
  aspect-ratio: 16/9;
  object-fit: cover;
  overflow: hidden;
  border-radius: 8px;

}
.proj-container details a{
   
    text-decoration: none;
    font-size: larger;
    color: var(--highlight);
}
.proj-container details a:hover{
    color: var(--inverse-highlight);
    font-size: x-large;
}

.name-project {
    font-weight: bolder;
    font-size: 1.5rem;
    color: var(--highlight);
    text-transform: capitalize;
}

.year {
    font-weight: bold;
    font-size: 0.9rem;
    opacity: 0.7;
}
footer{
    background-color: var(--highlight);
    padding: 10px;
    color: var(--inverse-text);
     text-align: center;
}

@media screen and ( min-width: 768px) {
    section #apresentation iframe{
        min-height: 500px;
    }
    section #skills-container {
     display: grid;
      grid-template-columns: 1fr 1fr ;
      gap: 20px;
    
 }
 section #skills-container .info {
        margin-top: 5px;
}
    .proj-itens {
        flex-direction: row;
        align-items: center;
    }

    .proj-img img {
        width: 200px; 
        margin: 0;
    }

    .proj-content {
        flex: 1;
    }
    main{
     grid-template-columns:  auto 300px 1fr auto;
  }
  section#about-me{
   grid-column: 2/3 ;
   height: fit-content;
   position: sticky;
   top:65px
  }
  section#detalhes{
     grid-column: 3/4;
  }
}